<!DOCTYPE html>
<html>

<head>
	<meta charset="UTF-8">
	<title>Insert title here</title>
	<style>
		#data {
			display: none;
		}

		#target {
			width: 480px;
			height: 250px;
			background-color: rgb(248, 198, 198);
		}

		#target span {
			display: inline-block;
			width: 100px;
			margin: 2px;
			border: 1px solid black;
			padding: 2px;
			text-align: center;
			background-color: rgb(194, 218, 146);

		}
	</style>
</head>

<body>
	<div id="data">Lorem ipsum dolor sit amet consectetur adipisicing elit. Aut perspiciatis beatae voluptates assumenda enim provident dolore doloribus, suscipit sed, ratione laborum odit. Ad vel neque nulla recusandae, eum animi asperiores?</div>
	<input type="text" id="read">
	<button id="writer">찾기</button>
	<div id="target">
	</div>

	<script>
		// .split('') : 문자열 => 배열
		// .join('') : 배열 => 문자열
		//.trim() : 공백제거


		let loream = document.getElementById('data').innerText;
		let spl = loream.split(' ');
		let target = document.getElementById('target')
		spl.forEach(txt => {
			let span = document.createElement('span');
			span.innerText = txt;

			target.append(span);
		})

		let btn = document.getElementById('writer');
		btn.addEventListener('click', delSpan);

		function delSpan(){
			let spans = document.querySelectorAll('#target span');
			let inputInfo = document.getElementById('read').value;
			spans.forEach(span => {
				console.log(span);
				if(inputInfo.slice(0,3).toLowerCase() == span.innerText.slice(0,3).toLowerCase()){
					span.setAttribute('style', 'display:none');
				}
			})
			//입력값 초기화
			document.getElementById('read').value='';
			document.getElementById('read').focus();

		}


	</script>
</body>

</html>